Substy Developers
Creator connections

Connect fanvue account

Start Fanvue OAuth and return the authorization page for the account owner to open. Authorization must finish before the creator account is connected.

POST/v1/agencies/{agencyId}/creator-connections/fanvue/authorizations

Start Fanvue OAuth and return the authorization page for the account owner to open. Authorization must finish before the creator account is connected.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creator-connections/fanvue/authorizations" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "continuationId": "string",    "status": "string",    "creatorId": null,    "error": null,    "expiresAt": "string",    "authorizationUrl": "string"  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}